propellor-5.18: property-based host configuration management in haskell

Maintainer | Jelmer Vernooĳ <jelmer@jelmer.uk>
Safe Haskell | None
Language | Haskell2010

Propellor.Property.Logcheck

Description

# Documentation

data ReportLevel Source #

Constructors

Workstation |
Server |
Paranoid |

#### Instances

Instances details

ConfigurableValue ReportLevel Source # |
Instance details Defined in Propellor.Property.Logcheck Methods val :: ReportLevel -> String Source #

type Service = String Source #

defaultPrefix :: String Source #

ignoreFilePath :: ReportLevel -> Service -> FilePath Source #

ignoreLines :: ReportLevel -> Service -> [String] -> Property UnixLike Source #

installed :: Property DebianLike Source #